
%global meadversion 2.0.2
%global namedversion 2.0.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 6
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%global alternativespriority 020200
%global apiname jaxws
%global apiversion 2.2
%global apiversionu 2_2
%global apigroupid javax.xml.ws
%global apiartifactid %{apiname}-api

%define maven_version 2.0.2.Final-redhat-1

Name:           jboss-jaxws-api_2.2_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) API for XML-Based Web Services 2.2
Group:          Development/Java

%if %with mead
Source100: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-1-scm-sources.zip
Source102: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-1.pom
Source103: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-1-sources.jar
Source104: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-1.jar
Source105: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-1-javadoc.jar
%endif

License:        CDDL/GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jaxws-api_spec
Provides:       %{apiname}_%{apiversionu}_api
Provides:       %{apiname}_api = 0:%{apiversion}
# Remove EAP5 equivalent
%if  0%{?rhel} == 6
Obsoletes:     glassfish-jaxws = 2.1.7-0.30.ep5.el6
%else
%if  0%{?rhel} == 5
Obsoletes:     glassfish-jaxws = 2.1.7-0.30.ep5.el5
%endif
%endif
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:11
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jaxws-api_2.2_spec-%{namedversion}-%{release}-root

%description
JSR-000224: Java(TM) API for XML-Based Web Services 2.2.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jaxws-api_2.2_spec
Group:          Development/Documentation

Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jaxws-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# jar alternatives
/bin/touch %{buildroot}%{_javadir}/%{apiname}_api.jar
/bin/touch %{buildroot}%{_javadir}/%{apiname}_%{apiversionu}_api.jar

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jboss-jaxws-api_2.2_spec.pom

# pom alternatives
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{apiname}_api.pom

# depmaps
%add_to_maven_depmap org.jboss.spec.javax.xml.ws jboss-jaxws-api_2.2_spec %{namedversion} JPP jboss-jaxws-api_2.2_spec
%add_to_maven_depmap %{apigroupid} %{apiartifactid} %{apiversion} JPP %{apiname}_%{apiversionu}_api
[ %{name} = "jboss-jaxws-api_2.2_spec" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-jaxws-api_2.2_spec

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.2_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.2_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jaxws-api_2.2_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.2_spec

# javadoc alternatives
/bin/touch %{buildroot}%{_javadocdir}/%{apiname}_%{apiversionu}_api
/bin/touch %{buildroot}%{_javadocdir}/%{apiname}_api
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_api.jar %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_%{apiversionu}_api.jar %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --remove jaxws_api_pom %{_mavenpomdir}/JPP.jboss-jaxws-api_2.2_spec-jboss-jaxws-api_2.2_spec.pom >/dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{apiname}_api.pom %{apiname}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%{_sbindir}/update-alternatives --remove jaxws_2_2_api_pom %{_mavenpomdir}/JPP.jboss-jaxws-api_2.2_spec-jboss-jaxws-api_2.2_spec.pom >/dev/null 2>&1 || :
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom %{apiname}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
fi

%postun
%update_maven_depmap

%if %with javadoc
%post javadoc
%{_sbindir}/update-alternatives --install %{_javadocdir}/%{apiname}_api %{apiname}_api_javadoc %{_javadocdir}/%{name} %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadocdir}/%{apiname}_%{apiversionu}_api %{apiname}_%{apiversionu}_api_javadoc %{_javadocdir}/%{name} %{alternativespriority}

%preun javadoc
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{apiname}_api_javadoc %{_javadocdir}/%{name}
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_javadoc %{_javadocdir}/%{name}
fi
%endif

%files
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}.jar
%{_javadir}/jboss-jaxws-api_2.2_spec.jar
%exclude %{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jboss-jaxws-api_2.2_spec-javadoc.jar
%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jaxws-api_2.2_spec-sources.jar
%{_mavenpomdir}/JPP-jboss-jaxws-api_2.2_spec.pom
%{_mavendepmapfragdir}/jboss-jaxws-api_2.2_spec
%ghost %{_javadir}/%{apiname}_%{apiversionu}_api.jar
%ghost %{_javadir}/%{apiname}_api.jar
%ghost %{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom
%ghost %{_mavenpomdir}/JPP-%{apiname}_api.pom

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jaxws-api_2.2_spec-%{namedversion}
%{_javadocdir}/jboss-jaxws-api_2.2_spec
%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jaxws-api_2.2_spec-javadoc.jar
%ghost %{_javadocdir}/%{apiname}_api
%ghost %{_javadocdir}/%{apiname}_%{apiversionu}_api
%endif

%changelog
* Tue Sep 02 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-6.Final_redhat_1.1
- swallow update-alternatives remove output

* Thu Jul 17 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-5.Final_redhat_1.1
- fix Provides

* Mon Jul 07 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-4.Final_redhat_1.1
- remove old POM alternatives

* Mon Jun 16 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-3.Final_redhat_1.1
- fix Obsoletes on RHEL > 6

* Mon Jun 16 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-2.Final_redhat_1.1
- fix major errors in spec

* Thu May 29 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.2-1.Final_redhat_1.1
- Upgrade to 2.0.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.0.1-4.Final_redhat_2
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-3.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-3.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.0.1-3.Final_redhat_1
- Remove javadoc.jar from the main package

* Wed May 02 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-2.Final_redhat_1
- Remove EAP5 equivalent

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.0.1-1.Final_redhat_1
- Upgrade to 2.0.1.Final

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-5.Final_redhat_1.1
- Fix Release

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-4.2
- Upgrade to new wrapper
- Fix jars' installation path

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> 0:2.0.0-4.1
- switch to rhpkg build
- rebuild for new sign key

* Wed Feb 08 2012 Fernando nasser <fnasser@redhat.com> 0:2.0.0-3.1
- Remove run-time dependency on servlet api

* Mon Dec 19 2011 David Walluck <dwalluck@redhat.com> 0:2.0.0-3
- fix the groupId

* Thu Sep 01 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:2.0.0-2_redhat_1
- Fixed pom version back

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:2.0.0-1_redhat_1
- Patched by vman

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:2.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
- Adapt relocation pom as well
- Skip repolib creation if using MEAD
